#include <Pokitto.h>
#include <LibAudio>
#include <LibSchedule>
#include "tts/TTS.h"

using PD=Pokitto::Display;

Audio::Sink<2, 8000> sink;

int pos = 0;
const char * lines[] = {
    "Hello world!",
    "This is the voice of sam.",
    "How are you?",
    "Sam speaks!",
    "But he has nothing to say."
    "Bye!",
    nullptr
};

void speak(){
    PD::clear();
    if(!lines[pos]) pos = 0;
    PD::print(lines[pos]);
    TTS::say(lines[pos++]);
    Schedule::after<0>(1000, speak);
}

void init(){
    PD::persistence = true;
    PD::invisiblecolor = 0;
    speak();
}
