namespace TTS {

inline constexpr bool DEFAULT_SING = false;
inline constexpr uint32_t DEFAULT_PITCH    = 64;
inline constexpr uint32_t DEFAULT_SPEED    = 72;
inline constexpr uint32_t DEFAULT_MOUTH    = 128;
inline constexpr uint32_t DEFAULT_THROAT   = 128;

void say(const char *text, 
    uint32_t pitch=DEFAULT_PITCH, 
    uint32_t speed=DEFAULT_SPEED, 
    uint32_t mouth=DEFAULT_MOUTH, 
    uint32_t throat=DEFAULT_THROAT, 
    bool sing=DEFAULT_SING);

    
}